Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Eccomi su Gentoo e qualche problema da risolvere
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) Forum di discussione italiano
View previous topic :: View next topic  
Author Message
tano70
Tux's lil' helper
Tux's lil' helper


Joined: 26 Aug 2013
Posts: 112
Location: Torino

PostPosted: Thu Jun 02, 2016 4:20 pm    Post subject: Eccomi su Gentoo e qualche problema da risolvere Reply with quote

Salve carissimi utenti, dopo qualche anno di assenza sono tornato nuovamente a questa eccellente distro, "accantonata" si fa per dire, in quanto il nuovo portatile con disco SSD non era adatto a questa distro che fa della sua compilazione e della scrittura e riscrittura su HD il suo cavallo di battaglia o tallone di achille :) Diciamo che sono sempre rimasto in linux, avendo installato sul portatile /Lenovo X1 Carbon core i7 di terza generazione) Archlinux e Slackware, tutto gestito da Refind (boot manager). Adesso ho installato la mia bella Gentoo su una pennetta usb, e diciamo che tra reminiscenze varie e qualcosa che mi ero salvato a suo tempo (la misi due anni fa) non mi è venuto difficile arrivare ad un buon risultato finale. Come DE ho scelto il mio immancabile ambiente XFCE, ho messo networkmanager in avvio automatico che mi gestisce il tutto, e ho impostato le mie cose preferite. Ho solo due "problemi". Il primo è che prima di installarla qui, l'ho messa su un hard disk esterno, e mi ero compilato anche chromium (9 ora circa di compilazione), ma su HD esterno effettivamente era troppo scomodo, e cosi al momento anche per fare una prova, ho installato Gentoo su una chiavetta USB di soli 8 giga, quindi capirete che dopo aver installato quelle due o tre cose non ho spazio per la compilazione di chromium, nemmeno a volerla fare (servono 5 giga di spazio che ovviamente non ho). Ora avendolo già compilato, io pensavo che fosse facile riemergerlo, un po come si fa in archlinux quando anzichè scaricare i pacchetti puoi installare usando il comando "pacman -U nomepacchetto". Ma su Gentoo nonostante abbia letto mille pagine su internet, non ho trovato alcuna soluzione per riemergere i pacchetti che uno ha già compilato. In pratica mi sono copiato tutta la cartella del percorso /usr/portage/distifiles sulla distro su chiavetta, pensando che una volta che fossero dentro il sistema in qualche modo li riconosceva, o quantomeno che ci fosse un comando da dare con emerge affinchè lui anzichè scaricarli nuovamente per la compilazione, lo installasse, ma non sono riuscito a capire se questa procedura è fattibile o meno e come si faccia. premetto che ho il file chiamato chromium-51.0.2704.63.tar.xz di ben 470 mega circa, se volessi installarlo mi dite come accidenti si fa? inoltre cancellare tutto il contenuto della cartella "distfiles" che è appunto il contenitore di tutti i programmi che ho compilato e installato, pregiudica qualcosa? per recuperare spazio, visto che la chiavetta è di soli 8 giga, io l'ho cancellata, ma ovviamente prima mi sono fatto un backup esterno.
altro problema, mi sono creato un utente per non accedere da root, visto che non mi fa lanciare programmi come vlc, ma quando accedo non ho il permesso di fare nulla, nemmeno montare altre partizioni, o addirittura spegnere o uscire dal sistema, credo che sia una cosa di permessi da impostare, o qualcosa da scroivere nel polkitd (un po come su slackware e archlinux) ma se mi date una dritta sarebbe opportuna. ovviamente ho impostato correttamente il mio utente con il comando
Code:
useradd -m -g users -G wheel,video,audio,sys,lp,plugdev,cdrom -s /bin/bash nomeutente


Potete per favore darmi una mano?
Ultima cosa ma skype funziona bene? cioè funziona anche audio e microfono come nelle versioni archlinux e slackware dove lo hanno compattato con una versione minima di apulse per fare andare l'audio? Comunque ho provato ad emergerlo ma mi dice che ha conflitti che non può soddisfare, nonostante abbia già dato il comando emerge con --automask write e dato anche etc-update seguito da -5 ma ho questo allert:
Copio la parte finale che penso sia rappresentativa:

Code:
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/openssl:0

  (dev-libs/openssl-1.0.2h:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/openssl-1.0.1h-r2:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?
,abi_s390_32(-)?,abi_s390_64(-)?] required by (dev-qt/qtcore-4.8.6-r2:4/4::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                             

  (dev-libs/openssl-1.0.2h:0/0::gentoo, installed) pulled in by
    >=dev-libs/openssl-0.9.8f:0[bindist=] required by (net-misc/openssh-7.2_p2:0/0::gentoo, installed)
                                ^^^^^^^^                                                                                                 

It might be possible to solve this slot collision
by applying all of the following changes:
   - dev-libs/openssl-1.0.2h (Change USE: +bindist)

GentooDesktop ~ #



In pratica posso comunque installarlo o prima devo dare qualche comando o impostare qualcosa?
Ultimissima cosa, ho installato Firefox ma la versione bin visto che non ho spazio per fare compilazioni e nemmeno tempo di aspettare ore e ore, ma tra le varie versioni tra cui la 45.1.1 mi ha invece installato la 38.8.X mi dite perchè? se volessi installare la 45.1.1 cosa accidenti doveo digitare? e comunque se adesso volessi passare a quella versione, che devo fare? prima cancellare questa che ho in uso con il comando emerge -C nomeprogramma oppure posso aggiornare con un altro comando specifico?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16612
Location: here

PostPosted: Thu Jun 02, 2016 7:08 pm    Post subject: Re: Eccomi su Gentoo e qualche problema da risolvere Reply with quote

Ciao tano70!

tano70 wrote:
Ora avendolo già compilato, io pensavo che fosse facile riemergerlo, un po come si fa in archlinux quando anzichè scaricare i pacchetti puoi installare usando il comando "pacman -U nomepacchetto". Ma su Gentoo nonostante abbia letto mille pagine su internet, non ho trovato alcuna soluzione per riemergere i pacchetti che uno ha già compilato. In pratica mi sono copiato tutta la cartella del percorso /usr/portage/distifiles sulla distro su chiavetta, pensando che una volta che fossero dentro il sistema in qualche modo li riconosceva, o quantomeno che ci fosse un comando da dare con emerge affinchè lui anzichè scaricarli nuovamente per la compilazione, lo installasse, ma non sono riuscito a capire se questa procedura è fattibile o meno e come si faccia. premetto che ho il file chiamato chromium-51.0.2704.63.tar.xz di ben 470 mega circa, se volessi installarlo mi dite come accidenti si fa? inoltre cancellare tutto il contenuto della cartella "distfiles" che è appunto il contenitore di tutti i programmi che ho compilato e installato, pregiudica qualcosa? per recuperare spazio, visto che la chiavetta è di soli 8 giga, io l'ho cancellata, ma ovviamente prima mi sono fatto un backup esterno.

Se non ho capito male, e' di usare dei pacchetti binari partendo da uno che hai gia' compilato e installato. Per fare questo ti rimando a questa guida che spiega tutto (la cartella distfiles contiene solo i sorgenti dei pacchetti che hai installato).

tano70 wrote:
altro problema, mi sono creato un utente per non accedere da root, visto che non mi fa lanciare programmi come vlc, ma quando accedo non ho il permesso di fare nulla, nemmeno montare altre partizioni, o addirittura spegnere o uscire dal sistema, credo che sia una cosa di permessi da impostare, o qualcosa da scroivere nel polkitd (un po come su slackware e archlinux) ma se mi date una dritta sarebbe opportuna. ovviamente ho impostato correttamente il mio utente con il comando

Puoi spiegarti meglio? Nel senso intendi da xfce? Come lo fai partire con un display manager o con li comando startx?


tano70 wrote:
Ultima cosa ma skype funziona bene? cioè funziona anche audio e microfono come nelle versioni archlinux e slackware dove lo hanno compattato con una versione minima di apulse per fare andare l'audio? Comunque ho provato ad emergerlo ma mi dice che ha conflitti che non può soddisfare, nonostante abbia già dato il comando emerge con --automask write e dato anche etc-update seguito da -5 ma ho questo allert:
Copio la parte finale che penso sia rappresentativa:

Code:
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/openssl:0

  (dev-libs/openssl-1.0.2h:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/openssl-1.0.1h-r2:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?
,abi_s390_32(-)?,abi_s390_64(-)?] required by (dev-qt/qtcore-4.8.6-r2:4/4::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                             

  (dev-libs/openssl-1.0.2h:0/0::gentoo, installed) pulled in by
    >=dev-libs/openssl-0.9.8f:0[bindist=] required by (net-misc/openssh-7.2_p2:0/0::gentoo, installed)
                                ^^^^^^^^                                                                                                 

It might be possible to solve this slot collision
by applying all of the following changes:
   - dev-libs/openssl-1.0.2h (Change USE: +bindist)

Portage ti dice che per risolvere devi attivare la use flag bindist al pacchetto openssl. Per fare questo puoi utilizzare il file /etc/portage/package.use dove puoi attivare delle specifice use al pacchetto che vuoi, quindi in questo file devi scrivere (o aggiungere se c'e' gia')
Code:
dev-libs/openssl bindist


tano70 wrote:
Ultimissima cosa, ho installato Firefox ma la versione bin visto che non ho spazio per fare compilazioni e nemmeno tempo di aspettare ore e ore, ma tra le varie versioni tra cui la 45.1.1 mi ha invece installato la 38.8.X mi dite perchè? se volessi installare la 45.1.1 cosa accidenti doveo digitare? e comunque se adesso volessi passare a quella versione, che devo fare? prima cancellare questa che ho in uso con il comando emerge -C nomeprogramma oppure posso aggiornare con un altro comando specifico?

Per installare una versione non ancora dichiarata stabile in portage devi utilizzare il file /etc/portage/package.accept_keywords e aggiungere la linea
Code:
www-client/firefox-bin ~amd64

cosi che ti installa l'ultima versione disponibile in portage, oppure puoi smascherare solo la versione che vuoi
Code:
=www-client/firefox-bin-46.0 ~amd64


Ci sono altri file interessanti come package.use e package.accept_keywords per potere gestire al meglio la tia gentoo per questo ti consiglio di leggere qua.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
tano70
Tux's lil' helper
Tux's lil' helper


Joined: 26 Aug 2013
Posts: 112
Location: Torino

PostPosted: Thu Jun 02, 2016 7:24 pm    Post subject: Reply with quote

Intanto ti ringrazio enormemente per la risposta esaustiva e tempestiva. Ma essendo diciamo molto "newby" su Gentoo, ho bisogno che mi fai maggiore chiarezza, anche perchè usando archlinux e slackware non mi fa certo capire i meccanismi di Gentoo per quanto attiene alla compilazione dei pacchetti e ai vari settaggi da dare per farli emergere. Perdonami ma i dubbi permangono anche dopo la tua risposta.
Quindi primo punto, per emergere chromium 51 che come ti dicevo ho già il file indicato in formato tar.xz materialmente devo dare questo comando?
Code:
emerge --ask --buildpkg chromium-51-x-x ??

e mettere il file chromium dentro la cartella distifiles (visto che per ragioni di spazio lo avevo tolto)? oppure ci vuole un altro metodo? mi illustri gentilmente il comando corretto e la procedura da usare nel mio caso specifico? Non che non voglia leggere la guida che mi hai linkato eh? ma davvero non ho capito cosa devo fare.

Punto due, discorso utente, si parlo sempre dell'ambiente XFCE e quando accedo do startx e lo avvia in automatico, avendo messo sotto .xinitrc il comando:
Code:
exec starxfce4

Il problema è che mi trovo nella impossibilità di non potere fare nulla, partizioni interne del computer che non posso montare, in quanto mi dice che non ho i privilegi, ma anche per dire una cosa banale i tasti sospendi, spegni cambia utente, sono disabilitati, e non posso usarli, unico tasto funzionante è esci, che mi riporta alla tty. Insomma vorrei aggiustare, perchè accedere con utente root non è il massimo.

Discorso Firefox, ho capito perfettamente, ma quindi della versione che mi ha messo adesso, e cioè la 38.x.x cosa faccio? la devo prima togliere? e non mi lascia problemi? se si come la tolgo? digitando emerge -C firefox-bin ?
abbi pazienza ma ho bisogno di esempi concreti, dopo tanta fatica a mettere gentoo non voglio già guastarla con qualche comando azzardato, tanto più che sono sotto utente root per i problemi che sai
Discorso Skype, ma il comando che devo scrivere in /etc/portage/package.use essendo una directory come devo chiamare questo file dove salvare questo comando? perchè se apro quella cartella chiamata package.use all'interno vi è un file di testo che si chiama "iputils"
Vuoi dire che devo metterlo dentro quel file chiamato iputils? oppure spiega meglio anche questo passo grazie :)
EDIT: Discorso Skype risolto, sta scaricando e compilando. alla fine mi sono creato un file chiamato "skype" dentro la cartella del percorso che hai indicato tu, e ci ho scritto dentro quella riga. Da quello che mi avevi detto mi sembrava che appunto il file lo dovessi chiamare package.use e che dovesse appunto stare dentro la cartella portage, invece anche quella era una cartella :D bastava dirmi che dovevo creare un nuovo file e chiamarlo come volevo :D a volte quello che è ovvio per uno...non è così tanto ovvio per un altro. Non dare tutto per scontato con me...ti ho detto che sono un niubbo su gentoo.
Per risolvere gli altri punti però aspetto te...e per favore dettaglia meglio, come vedi la confusione a volte regna anche sull'ovvio :D


Last edited by tano70 on Thu Jun 02, 2016 8:04 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16612
Location: here

PostPosted: Thu Jun 02, 2016 7:58 pm    Post subject: Reply with quote

tano70 wrote:
Quindi primo punto, per emergere chromium 51 che come ti dicevo ho già il file indicato in formato tar.xz materialmente devo dare questo comando?

Il file .tar.xz che hai preso dalla directory distfiles contiene solo i sorgenti del programma e da questi non puoi creare il pacchetto precompilato. Per farlo dovevi lanciare il comando
Code:
# quickpkg www-client/chromium

quando lo avevi compilato la prima volta (portage questi pacchetti precompilati te li mette sotto /usr/portage/package). Ora visto che chrome e' uno di quei programmi pesanti da compilare in portage esiste la versione binaria quindi puoi installarla con
Code:
# emerge google-chrome

Se vuoi creare automaticamente, da ora in avanti, dei pacchetti binari puoi aggiungere nel file /etc/portage/make.conf la linea
Code:
FEATURES="${FEATURES} buildpkg"

cosi ogni volta che installi un pacchetto emerge ti crea anche il binario. Per creare i binari di tutti i pacchetti gia' installati puoi lanciare il comando
Code:
# quickpkg "*/*"

Ovviamente se vuoi portarlo su un'altro pc questo deve avere impostato il sistema con le medesime use flag e cflag del sistema dove hai creato il pacchetto binario.

tano70 wrote:
Punto due, discorso utente, si parlo sempre dell'ambiente XFCE e quando accedo do startx e lo avvia in automatico, avendo messo sotto .xinitrc il comando exe starxfce4. Il problema è che mi trovo nella impossibilità di non potere fare nulla, partizioni interne del computer che non posso montare, in quanto mi dice che non ho i privilegi, ma anche per dire una cosa banale i tasti sospendi, spegni cambia utente, sono disabilitati, e non posso usarli, unico tasto funzionante è esci, che mi riporta alla tty. Insomma vorrei aggiustare, perchè accedere con utente root non è il massimo.

Purtroppo non ho molta esperienza come lanciare xfce con startx e consolekit (ConsoleKit è un framework per gestire i permessi e le sessioni degli utenti) perche' mi sono sempre affidato a un display manager che pensa lui a lanciare la sessione con consolekit. Posso giusto riamndarti a due link penso utili (consolekit e questo).
Come alternativa potresti provare con slim che e' un display manager minimale ma che ci pensa lui a tutto con consolekit (controlla che la use flag consolekit sia attiva).

tano70 wrote:
Discorso Firefox, ho capito perfettamente, ma quindi della versione che mi ha messo adesso, e cioè la 38.x.x cosa faccio? la devo prima togliere? e non mi lascia problemi? se si come la tolgo? digitando emerge -C firefox-bin ?
abbi pazienza ma ho bisogno di esempi concreti, dopo tanta fatica a mettere gentoo non voglio già guastarla con qualche comando azzardato, tanto più che sono sotto utente root per i problemi che sai

No semplicemente una volta che smascheri la versione che vuoi lanciando un
Code:
# emerge -u firefox-bin

portage ti fara' l'update del pacchetto dosinstallando alla fine quello vecchio
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
tano70
Tux's lil' helper
Tux's lil' helper


Joined: 26 Aug 2013
Posts: 112
Location: Torino

PostPosted: Thu Jun 02, 2016 8:11 pm    Post subject: Reply with quote

Perfetto diciamo che adesso ho le idee più chiare, ma su chromium mi resta ancora il dubbio, tu parli di google-chrome, io lo so già che di quello esiste un binario che potrei installare in pochi secondi così come ho fatto con Firefox-bin, ma io parlo appunto di chromium, e visto che ho quel file prelevato dalla cartella "distifilles" chiedevo appunto se me lo puà installare senza rifare quella compilazione che dura ore ed ore, e che comunque non potrei mai fare su chiavetta in quanto mi resta libero appena 1 giga. Quel chromium ovviamente l'ho creato con le stesse identiche USE che ho nella chiavetta e con il medesimo computer da cui sono adesso. Quindi ricapitolando con questo file che ho sotto /etc/portage/distfiles/ che si chiama chromium51.x.x.tar.xz posso installarlo con qualche comando o comunque trasformarlo come dici tu in un binario facilmente installabile? oppure non risolvo nulla e dovevo pensarci prima di compilarlo per avere un binario pronto ad essere installato?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16612
Location: here

PostPosted: Thu Jun 02, 2016 8:25 pm    Post subject: Reply with quote

tano70 wrote:
Perfetto diciamo che adesso ho le idee più chiare, ma su chromium mi resta ancora il dubbio, tu parli di google-chrome, io lo so già che di quello esiste un binario che potrei installare in pochi secondi così come ho fatto con Firefox-bin, ma io parlo appunto di chromium, e visto che ho quel file prelevato dalla cartella "distifilles" chiedevo appunto se me lo puà installare senza rifare quella compilazione che dura ore ed ore, e che comunque non potrei mai fare su chiavetta in quanto mi resta libero appena 1 giga. Quel chromium ovviamente l'ho creato con le stesse identiche USE che ho nella chiavetta e con il medesimo computer da cui sono adesso. Quindi ricapitolando con questo file che ho sotto /etc/portage/distfiles/ che si chiama chromium51.x.x.tar.xz posso installarlo con qualche comando o comunque trasformarlo come dici tu in un binario facilmente installabile? oppure non risolvo nulla e dovevo pensarci prima di compilarlo per avere un binario pronto ad essere installato?

Se hai ancora la chiavetta con chromium installato puoi farla partire e poi da li dai il comando
Code:
# quickpkg www-client/chromium

una volta che il comando ha finito copi tutto il contenuto della cartella /usr/portage/package/ e la porti sempre sul l'altro sistema sempre in /usr/portage/package/ a questo punto lanci il comando
Code:
# emerge --usepkgonly chromium

questo comando installa chromium solo se esiste il binario.

Quello che hai copiato da distfiles sono i sorgenti del pacchetto e se li metti nel nuovo sistema (in /usr/portage/distfiles) quello che otterrai e' solo che non scarichera' di nuovo il pacchetto ma partira' direttamente la compilazione.

Spero di essermi spiegato :D
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
tano70
Tux's lil' helper
Tux's lil' helper


Joined: 26 Aug 2013
Posts: 112
Location: Torino

PostPosted: Thu Jun 02, 2016 8:32 pm    Post subject: Reply with quote

fedeliallalinea wrote:

Se hai ancora la chiavetta con chromium installato puoi farla partire e poi da li dai il comando
Code:
# quickpkg www-client/chromium

una volta che il comando ha finito copi tutto il contenuto della cartella /usr/portage/package/ e la porti sempre sul l'altro sistema sempre in /usr/portage/package/ a questo punto lanci il comando
Code:
# emerge --usepkgonly chromium

questo comando installa chromium solo se esiste il binario.

Quello che hai copiato da distfiles sono i sorgenti del pacchetto e se li metti nel nuovo sistema (in /usr/portage/distfiles) quello che otterrai e' solo che non scarichera' di nuovo il pacchetto ma partira' direttamente la compilazione.

Spero di essermi spiegato :D


Sei un grandeee!!! sei stato chiarissimo e grazie per la gentilezza e tempestività :) al momento sto compilando skype e spero che alla fine mi funzioni bene con audio e microfono. Poi accedo a Gentoo che ho nell'hard disk esterno dove ho compilato appunto chromium e faccio la procedura che mi hai indicato tu e poi rifaccio partire Gentoo da chiavetta USB (quella che uso adesso e che voglio portare ad avere tutte le cose basilari funzionanti come piacciono a me) e ti aggiorno :)
Al limite se ho ancora problemi torno qui a stressarti eh?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16612
Location: here

PostPosted: Thu Jun 02, 2016 8:39 pm    Post subject: Reply with quote

tano70 wrote:
Al limite se ho ancora problemi torno qui a stressarti eh?

E' fatto per questo il forum :D
_________________
Questions are guaranteed in life; Answers aren't.


Last edited by fedeliallalinea on Fri Jun 03, 2016 4:47 am; edited 1 time in total
Back to top
View user's profile Send private message
Scall
n00b
n00b


Joined: 04 Sep 2014
Posts: 9

PostPosted: Thu Jun 02, 2016 10:56 pm    Post subject: Re: Eccomi su Gentoo e qualche problema da risolvere Reply with quote

Ciao tano70, e innanzitutto bentornato su Gentoo! :)

tano70 wrote:
[...] il nuovo portatile con disco SSD non era adatto a questa distro che fa della sua compilazione e della scrittura e riscrittura su HD il suo cavallo di battaglia o tallone di achille [...]

Per risolvere il problema delle scritture è possibile montare “/var/tmp/portage” (directory sotto la quale avviene la compilazione) come tmpfs, in modo che la compilazione avvenga nella RAM, come spiegato in questa pagina del wiki.

tano70 wrote:
[...] cancellare tutto il contenuto della cartella "distfiles" che è appunto il contenitore di tutti i programmi che ho compilato e installato, pregiudica qualcosa? [...]

Come ti è già stato risposto, lì sono contenuti solamente gli archivi con il codice sorgente (che possono essere scaricati anche senza installare i pacchetti, usando “emerge -f nome_pacchetto”), infatti quando si accumulano tanti archivi che occupano un po' di spazio e si vuole fare pulizia, basta dare:
Code:
rm -rf /usr/portage/distfiles/*


Se sei interessato alle opzioni di spegnimento, riavvio, eccetera, dal pannello di XFCE (xfce4-panel) dovresti prima di tutto scegliere un display manager, e poi abilitare la USE flag “consolekit” per quel pacchetto. Ad esempio, se scegli LXDM:
  1. Aggiungi al file “/etc/portage/package.use”:
    Code:
    lxde-base/lxdm consolekit
    sys-auth/consolekit policykit

  2. Installa il pacchetto, insieme al quale verrà automaticamente installato ConsoleKit come dipendenza, grazie alla USE flag:
    Code:
    emerge -a lxde-base/lxdm

  3. Se lo desideri aggiungi lo script “xdm” (che si occupa di avviare il display manager predefinito) all'avvio, in questo modo (verrà creato un collegamento simbolico in “/etc/runlevels/default”):
    Code:
    rc-update add xdm

  4. Avvia il display manager:
    Code:
    service xdm start

Ovviamente il pannello va avviato dalla sessione di XFCE, altrimenti quelle opzioni non saranno disponibili in ogni caso. :wink:


Modifica: avevo dimenticato la USE “policykit”, necessaria per le opzioni di riavvio e spegnimento.
Back to top
View user's profile Send private message
tano70
Tux's lil' helper
Tux's lil' helper


Joined: 26 Aug 2013
Posts: 112
Location: Torino

PostPosted: Fri Jun 03, 2016 6:30 am    Post subject: Reply with quote

Scall, ti ringrazio moltissimo per le delucidazioni e le spiegazioni, e per il messaggio privato a cui ho risposto. In effetti Slim lo conosco e lo uso con notevole soddisfazione su archlinux, dove anche li ho un ambiente XFCE e mi va al login automatico attraverso slim collegato appunto a xdm. Mi potresti adattare il comando che mi hai dato per LXDM per l'ambiente XFCE? nei miei sistemi uso sempre XFCE che trovo davvero perfetto per le mie esigenze di leggerezza e facilità di personalizzazione. Altra cosa che vorrei capire meglio su Gentoo è l'usare certe flag inserendole specificatemente in un file, vuole dire che finora io ho sbagliato quando ho forzato l'installazione di determinati programmi che mi suggerivano la sintassi --autounmask write ?? oppure sono la stessa identica cosa? sono ancora queste sottigliezze che non riesco a comprendere bene; meccanismi che vorrei appunto mi fossero più chiari in modo che mi fanno gestire la distro nella forma più corretta. AL momento diciamo che il mio obiettivo è di avere pochi programmi ma perfettamente integrati nell'ambiente XFCE e che funzionino bene, Chromium, Skype, l'ultima versione di Firefox Vlc per gestirmi i video e il lettore audacious. Al momento devo appunto risolvere la questione dei permessi dell'utente creato, che appunto con i tuoi consigli di usare slim spero di provare subito pomeriggio quando rientro a casa, in quanto da root oltre che a non essere mia abitudine usarlo allo stesso modo come si farebbe da utente normale, è anche rischioso, oltre al fatto che non mi fa aprire ad esempio VLC in quanto è un programma che da root non fa eseguire, e non vorrei che anche con Skype alla fine mi faccia la stessa storia. Chromiun stranamente da root va, in quanto come dissi su Gentoo che ho installato su un Hard disk esterno usb si apriva senza problemi da root, ma generalmente anche chromium da root non può essere avviato.
Riguardo al discorso tmpfs credo di averlo già attivato, in quanto vuoi per il poco spazio che ho nella chiavetta usb dove ho messo Gentoo, vuoi anche per risparmiare la continua scrittura, ho attivato questa cosa, non so se ho attivato correttamente, in pratica ho aggiunto la riga su fstab con la dimensione prescelta di ram da utilizzare (nel mio caso ho messo 4 giga, avendo un portatile con 8 giga di ram) comunque quando torno a casa modifico questo post mettendo il mio FSTAB e la procedura che ho usato, così mi dirai se è corretta. Penso comunque di avere fatto bene in quanto ho notato che nella compilazione il portatile non si riscalda per nulla (pensa che skype è in compilazione da ieri sera a mezzanotte, aveva 93 pacchetti da compilare e stamattina alle 6 era ancora al 90' pacchetto) e nonostante frullasse da tutta la notte, era assolutamente tiepido e la ventola non la sentivo neppure), mentre su Gentoo installato qualche giorno prima su hard disk usb esterno, in cui non avevo attivato questa cosa della tmpfs, notavo che durante la compilazione il portatile era davvero rovente. A tuo avviso questa cosa è significativa? Poi altro mio dubbio...l'hardware del mio portatile, non viene stressato con questi continui e lunghi processi di compilazione? è solo questo il dubbio che negli anni passati mi ha fatto allontanare da questa eccellente distro, intendo la cpu ed anche la ram non vanno troppo sotto stress? non vorrei accorciare la vita al mio portatile, anche perchè con tutto quello che ho dentro (tre distro linux "Archlinux, Slackware e Kali" oltre a windows, il tutto gestito da Refind boot manager), e sarebbe un dramma sprecare tutto e ripartire da zero su un nuovo portatile, in quanto non è stato semplice creare questo sistema multiboot e farli coesistere e configurarli in maniera perfetta, e davvero non vorrei ripartire da zero, con gli anni ho perso sicuramente i passaggi adottati per fare il tutto, anzi poi voglio aprire una apposita discussione su come fare un backup perfetto di tutto il contenuto del mio ssd e trasferirlo in caso di problemi o anche in caso di un futuro nuovo portatile, in altro disco ssd.
Comunque quando arrivo a casa ti posto anche il mio "make.conf" così mi dai due dritte per dirmi se è configurato bene o se devo modificare qualche parametro, mi voglio gustare davvero al massimo Gentoo.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16612
Location: here

PostPosted: Fri Jun 03, 2016 7:21 am    Post subject: Reply with quote

tano70 wrote:
Altra cosa che vorrei capire meglio su Gentoo è l'usare certe flag inserendole specificatemente in un file, vuole dire che finora io ho sbagliato quando ho forzato l'installazione di determinati programmi che mi suggerivano la sintassi --autounmask write ?? oppure sono due cose differenti?

L'opzione --autounmask-write va a inserirti automaticamente nei file /etc/portage/package.* i settaggi per risolvere le dipendenze di quello che stai installando.
Prendiamo ad esempio firefox-bin versione 46.0 che e' un pacchetto mascherato (non ancora dichiarato stabile), io ti ho detto di inserie a mano in /etc/portage/package.accept_keywords la linea "www-client/firefox-bin ~amd64" cosi' che ti installasse l'ultima versione lanciando semplicemente
Code:
# emerge -a firefox-bin

Se invece lanciavi
Code:
# emerge -a =www-client/firefox-bin-46.0

il sistema (--autounmask e' attiva di default) ti avrebbe scritto automaticamante nel file /etc/portage/package.accept_keywords la linea "=www-client/firefox-bin-46.0 ~amd64".
La differenza e' che scrivere "www-client/firefox-bin ~amd64" implica che smascheri qualsiasi versione di firefox-bin mentre nel l'altro caso ti smaschera solo la versione 46.0. Questo vuol dire che quando aggiornerai il portage tree e ci sara' una nuova versione (mascherata) di firefox nel primo caso te la propone come update nel secondo no.


tano70 wrote:
'hardware del mio portatile, non viene stressato con questi continui e lunghi processi di compilazione?

Chiaro che l'hardware e' piu' stressato con una distribuzione basata su sorgenti rispetto a qualsiasi altra basata su binari. Comunque i componenti hardware hanno tutti dei sistemi di controllo per far si che questo non si guasti (es: controllo temperatura cpu,...).
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
tano70
Tux's lil' helper
Tux's lil' helper


Joined: 26 Aug 2013
Posts: 112
Location: Torino

PostPosted: Fri Jun 03, 2016 7:46 am    Post subject: Reply with quote

Perfetto!! grazie ancora per la chiarezza, adesso ho capito meglio i "meccanismi". Non vedo l'ora di tornare a casa per vedere se la compilazione di Skype è terminata :) Comunque non pensavo che fosse più lunga di chromium.....cavolo è da ieri sera che gira la compilazione di questi 93 pacchetti.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16612
Location: here

PostPosted: Fri Jun 03, 2016 8:03 am    Post subject: Reply with quote

tano70 wrote:
Perfetto!! grazie ancora per la chiarezza, adesso ho capito meglio i "meccanismi".

Dimenticavo di dirti che --autounmask-write risolve i settaggi per quello che stai installando. Se invece vuoi attivare o disattivare una USE flag per un programma per pura preferenza allora dovrai aggiungenre in package.* manualmente.
Prendiamo ad esempio vlc che, oltre ad altre, ha le use flag "qt4" e "qt5", che servono per avere la GUI con il gramework qt4 rispettivamente qt5, e tu vuoi solo attivare quella in qt4 (cosi' eviti di compilare anche il framework qt5) allora qua dovrai andare a scrivere manulamente in package.use "media-video/vlc qt4 -qt5".

tano70 wrote:
Comunque non pensavo che fosse più lunga di chromium.....cavolo è da ieri sera che gira la compilazione di questi 93 pacchetti.

In se non e' tanto skype il probelma ma le sue dipendenze, tipo il framework qt, mentre chromium e' proprio il programma ad essere mastodontico da compilare.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
tano70
Tux's lil' helper
Tux's lil' helper


Joined: 26 Aug 2013
Posts: 112
Location: Torino

PostPosted: Fri Jun 03, 2016 9:52 am    Post subject: Reply with quote

capito. Comunque spero che tornando a casa trovo Skype già pronto... e che non mi dia problemi se lo lancio da root, almeno finchè non risolvo la questione utente (dovrei installare slim, come consigliatomi anche dall'utente Scall. Ad ogni modo voglio pure mettere compiz su XFCE con i suoi strepitosi effetti grafici.Sembra che il progetto non è stato abbandonato, ma esiste un fork ufficiale dove hanno patchato usando come riferimento con i pacchetti di archlinux, e pare sia tornato splendidamente funzionante sul nuovo xfce 4.12, ma per questo aprirò una discussione a parte :)
Back to top
View user's profile Send private message
Scall
n00b
n00b


Joined: 04 Sep 2014
Posts: 9

PostPosted: Fri Jun 03, 2016 12:04 pm    Post subject: Reply with quote

tano70 wrote:
[...] Mi potresti adattare il comando che mi hai dato per LXDM per l'ambiente XFCE? [...]

XFCE non ha un display manager predefinito (infatti nelle FAQ del wiki ufficiale nominano LXDM ed altri), sei libero di scegliere quello che preferisci, tra i tanti disponibili nel Portage Tree. :wink:

Sul portatile con XFCE (o meglio le “parti” di esso che mi servono/preferisco) io utilizzo con soddisfazione LXDM, ma se preferisci SLiM, il primo passaggio diventa così:
Code:
x11-misc/slim consolekit
sys-auth/consolekit policykit

e il secondo:
Code:
emerge -a x11-misc/slim
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16612
Location: here

PostPosted: Fri Jun 03, 2016 1:43 pm    Post subject: Reply with quote

Scall wrote:
Sul portatile con XFCE (o meglio le “parti” di esso che mi servono/preferisco) io utilizzo con soddisfazione LXDM, ma se preferisci SLiM, il primo passaggio diventa così:
Code:
x11-misc/slim consolekit
sys-auth/consolekit policykit

Non ne sono certo ma penso che se ha abilitato il profilo "default/linux/amd64/13.0/desktop" queste due use flag siano gia' impostate.
Al massimo con i comandi
Code:
$ emerge --info | grep consolekit
$emerge --info | grep policykit

puo' controllare se sono gia' settate
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
tano70
Tux's lil' helper
Tux's lil' helper


Joined: 26 Aug 2013
Posts: 112
Location: Torino

PostPosted: Fri Jun 03, 2016 1:50 pm    Post subject: Reply with quote

Perfetto Scall, lo sto già scaricando. Come configurazione visto che ho già slim su archlinux ho preso il relativo .xinitrc e cioè questo:
Code:
!/bin/sh
#
# ~/.xinitrc
#
# Executed by startx (run your window manager from here)

if [ -d /etc/X11/xinit/xinitrc.d ]; then
  for f in /etc/X11/xinit/xinitrc.d/*; do
    [ -x "$f" ] && . "$f"
  done
  unset f
fi

# exec gnome-session
# exec startkde
exec startxfce4
dbus-launch nm-applet --sm-disable &

Spero che tale configurazione funzioni anche su Gentoo. e poi ovviamente mi sono copiato anche lo slim.conf di archlinux, e cioè:

Code:
 Path, X server and arguments (if needed)
# Note: -xauth $authfile is automatically appended
default_path        /bin:/usr/bin:/usr/local/bin
default_xserver     /usr/bin/X
xserver_arguments -nolisten tcp vt07

# Commands for halt, login, etc.
halt_cmd            /sbin/shutdown -h now
reboot_cmd          /sbin/shutdown -r now
console_cmd         /usr/bin/xterm -C -fg white -bg black +sb -T "Console login" -e /bin/sh -c "/bin/cat /etc/issue; exec /bin/login"
#suspend_cmd        /usr/sbin/suspend

# Full path to the xauth binary
xauth_path         /usr/bin/xauth

# Xauth file for server
authfile           /var/run/slim.auth


# Activate numlock when slim starts. Valid values: on|off
# numlock             on

# Hide the mouse cursor (note: does not work with some WMs).
# Valid values: true|false
# hidecursor          false

# This command is executed after a succesful login.
# you can place the %session and %theme variables
# to handle launching of specific commands in .xinitrc
# depending of chosen session and slim theme
#
# NOTE: if your system does not have bash you need
# to adjust the command according to your preferred shell,
# i.e. for freebsd use:
# login_cmd           exec /bin/sh - ~/.xinitrc %session
login_cmd           exec /bin/bash -login ~/.xinitrc %session

# Commands executed when starting and exiting a session.
# They can be used for registering a X11 session with
# sessreg. You can use the %user variable
#
# sessionstart_cmd   some command
# sessionstop_cmd   some command

# Start in daemon mode. Valid values: yes | no
# Note that this can be overriden by the command line
# options "-d" and "-nodaemon"
# daemon   yes

# Set directory that contains the xsessions.
# slim reads xsesion from this directory, and be able to select.
sessiondir            /usr/share/xsessions/

# Executed when pressing F11 (requires imagemagick)
screenshot_cmd      import -window root /slim.png

# welcome message. Available variables: %host, %domain
welcome_msg         Welcome to %host

# Session message. Prepended to the session name when pressing F1
# session_msg         Session:

# shutdown / reboot messages
shutdown_msg       The system is halting...
reboot_msg         The system is rebooting...

# default user, leave blank or remove this line
# for avoid pre-loading the username.
default_user        tano

# Focus the password field on start when default_user is set
# Set to "yes" to enable this feature
#focus_password      no

# Automatically login the default user (without entering
# the password. Set to "yes" to enable this feature
auto_login          yes


# current theme, use comma separated list to specify a set to
# randomly choose from
current_theme       default

# Lock file
lockfile            /var/lock/slim.lock

# Log file
logfile             /var/log/slim.log


Per quanto riguarda skype, lanciato da root non avevo audio, questo perchè pulseaudio da root non viene eseguito, mentre lanciato da utente skype ha microfono e audio perfettamente funzionante!
VLC invece non si apre con interfaccia grafica, ne da root ne da utente, se lo lancio in finestra terminale mi apre il verbose, ma cosi è inutilizzabile. Forse ho sbagliato qualcosa io nella configurazione di vlc, e dovevo attivare qualcosa? mi dici come posso correggere=
Ultima cosa ho già scaricato slim, e alla fine mi dice questo:
Code:
* IMPORTANT: config file '/etc/slim.conf' needs updating.
 * See the CONFIGURATION FILES and CONFIGURATION FILES UPDATE TOOLS
 * sections of the emerge man page to learn how to update config files.

esattamente che comando devo lanciare per fare questo update?
EDIT;
Questo quello che ho fatto per settare SLIM, adesso non mi resta che riavviare il sistema e sperare che vada tutto ok !

Code:
ETTARE SLIM
per prima cosa aggiungere al file  “/etc/portage/package.use”:
x11-misc/slim consolekit
sys-auth/consolekit policykit

poi dare il comando
emerge -a x11-misc/slim

a questo punto bisogna configurare alcuni file,lo slim.conf sotto /etc
io per comodità ho preso quello sotto archlinux e settare però
l'utente corretto su arch era tano70 su gentoo tano

poi settare il file xdm
nano /etc/conf.d/xdm         e scriverci dentro
DISPLAYMANAGER="slim"  ma tenete per sicurezza anche l'altro con #
poi lanciare questi due comandi,uno scrive sul file 90xsession:
echo XSESSION=\"Xfce4\" > /etc/env.d/90xsession
echo XSESSION=\"Xfce4\" > /etc/env.d/90xsession


Last edited by tano70 on Fri Jun 03, 2016 2:28 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16612
Location: here

PostPosted: Fri Jun 03, 2016 2:25 pm    Post subject: Reply with quote

tano70 wrote:
Perfetto Scall, lo sto già scaricando. Come configurazione visto che ho già slim su archlinux ho preso il relativo .xinitrc e cioè questo:

Per fare partire slim non usi piu' startx ma devi confifurarlo come display manager. Questo si fa, una volta installato, nel seguente modo:
  • editi il file /etc/conf.d/xdm e setti la variabile
    Code:
    DISPLAYMANAGER="slim"

  • aggiungi xdm al runlevel di default (cosi che si avvii ad ogni accensione della macchina senza passare da terminale)
    Code:
    rc-update add xdm default

  • e poi avvi xdm (questo solo la prima volta poi si avviera' automaticamente visto che lo hai aggiunto al runlevel di default
    Code:
    /etc/init.d/xdm start

Lo script che hai postato non ti serve

tano70 wrote:
VLC invece non si apre con interfaccia grafica, ne da root ne da utente, se lo lancio in finestra terminale mi apre il verbose, ma cosi è inutilizzabile. Forse ho sbagliato qualcosa io nella configurazione di vlc, e dovevo attivare qualcosa? mi dici come posso correggere

Questo perche' per avere la GUI (interfaccia grafica) devi compilarlo con la use flag qt4 o qt5 (ti consiglio qt4 visto che l'hai gia' compilato per skype).


tano70 wrote:
Ultima cosa ho già scaricato slim, e alla fine mi dice questo:
Code:
* IMPORTANT: config file '/etc/slim.conf' needs updating.
 * See the CONFIGURATION FILES and CONFIGURATION FILES UPDATE TOOLS
 * sections of the emerge man page to learn how to update config files.

esattamente che comando devo lanciare per fare questo update?

Probabilmente perche' hai cambiato qualche configurazione da quella di base. Per mettere a posto usando la configurazione di baso o quella che hai modificato lancia il comando
Code:
# etc-update

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
tano70
Tux's lil' helper
Tux's lil' helper


Joined: 26 Aug 2013
Posts: 112
Location: Torino

PostPosted: Fri Jun 03, 2016 2:34 pm    Post subject: Reply with quote

Perfetto slim avviato con successo. una figata, proprio come archlinux! grazie grazie grazie scall!!
per vlc non ho capito, lo devo riconfigurare forzandolo con una use? mi dici come fare? in questo momento è ancora presto per assimilare tutto....già ho fatto grandi cose :)
PS: comunque lo slim.conf serve nel caso volessi avviare da root e non da utente :) in quel caso andrei a cambiare questa riga:

default user, leave blank or remove this line
# for avoid pre-loading the username.
default_user tano >> e al posto di tano metterei root


Last edited by tano70 on Fri Jun 03, 2016 2:40 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16612
Location: here

PostPosted: Fri Jun 03, 2016 2:36 pm    Post subject: Reply with quote

tano70 wrote:
per vlc non ho capito, lo devo riconfigurare forzandolo con una use? mi dici come fare? in questo momento è ancora presto per assimilare tutto....già ho fatto grandi cose :)

Aggiungi al file /etc/portage/package.use la linea
Code:
media-video/vlc qt4


PS: comunque ti consogli di dare una lettura a questo documento per capire un po' che file di configurazioni ci sono in portage.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
tano70
Tux's lil' helper
Tux's lil' helper


Joined: 26 Aug 2013
Posts: 112
Location: Torino

PostPosted: Fri Jun 03, 2016 2:59 pm    Post subject: Reply with quote

Perfetto! sistemato anche vlc. Adesso ho il sistema quasi perfetto che volevo....quasi nel senso che voglio mettere chromium, quindi mi appresto a fare quella procedura per costruire il binario di chromium dalla gento che ho su hard disk esterno... e poi copio tutta la cartella packages in questa Gentoo da chiavetta ed emergo con il comando che mi è stato postato. Grazie ancora Scall, sei un grande!! e un enorme Grazie anche all'utente Fedeliallalinea che mi ha dato un contributo enorme e di eguale livello!!
P.S sarà ancora più godibile graficamente quando metto compiz....a proposito ti ho scritto in privato per avere una dritta sullo script che mi hai postato :)

AGGIORNAMENTO CHROMIUM: allora facendo partire la gento dall'hard disk esterno, dove avevo compilato chromium 51, ho generato il binario (circa 63 mega) nella cartella package. A questo punto ho copiato la cartella generata sotto paclage e l'ho messa nella Gentoo da chiavetta, e dato il comando famoso suggeritomi per emergere chromium, usando il binario, e cioè:

Code:
emerge --usepkgonly chromium

Purtroppo però da quello che leggo, mi dice che mancano alcune cose, ora pensavo fosse solo un file, e l'ho installato, poi lanciato mi dice che ne manca un altro ancora, ma prima di fare casini e mettermi a installare tutto quello che gli manca, vorrei chiedere a voi se questa procedura di installare quello che mi manca è corretta o meno. Intanto posto il secondo pacchetto che mi dice che manca:

Code:
GentooDesktop tano # emerge --usepkgonly chromium

 * IMPORTANT: 11 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

Calculating dependencies... done!

emerge: there are no binary packages to satisfy ">=dev-libs/jsoncpp-0.5.0-r1:0/0=".
!!! /etc/portage/package.env references non-existent file: /etc/portage/env/notmpfs.conf
(dependency required by "www-client/chromium-51.0.2704.63::gentoo" [binary])
(dependency required by "chromium" [argument])
GentooDesktop tano #

Cosa faccio? continuo ad installare tutto quello che lui mi dice che manca?


Last edited by tano70 on Fri Jun 03, 2016 4:50 pm; edited 1 time in total
Back to top
View user's profile Send private message
Scall
n00b
n00b


Joined: 04 Sep 2014
Posts: 9

PostPosted: Fri Jun 03, 2016 4:29 pm    Post subject: Reply with quote

Ti spiego: quando usi l'opzione “--buildpkg”, vengono generati i pacchetti binari dei pacchetti che vengono compilati in quel momento, direttamente o come dipendenza dei pacchetti specificati sulla riga di comando. Ciò significa che quando hai dato l'opzione per creare il pacchetto di Chromium, la sua dipendenza “dev-libs/jsoncpp” era probabilmente già stata installata come dipendenza di qualche altro pacchetto, e di conseguenza non ne è stato generato il pacchetto binario, e da qui il messaggio: “here are no binary packages to satisfy ">=dev-libs/jsoncpp-0.5.0-r1:0/0="”. Inoltre, hai specificato l'opzione “--usepkgonly” che istruisce emerge a installare solamente pacchetti binari, quindi non trovando il pacchetto binario di quella dipendenza, logicamente non va avanti. Dunque la soluzione è (a scelta) di generare il pacchetto binario anche per la dipendenza, oppure installare chromium con “emerge --usepkg chromium” (senza “only”, in modo che se non esiste il pacchetto binario per una dipendenza, il pacchetto di quella dipendenza venga compilato). Puoi dare anche un'occhiata a questa pagina del wiki se hai ulteriori dubbi. :wink:
Back to top
View user's profile Send private message
tano70
Tux's lil' helper
Tux's lil' helper


Joined: 26 Aug 2013
Posts: 112
Location: Torino

PostPosted: Fri Jun 03, 2016 4:46 pm    Post subject: Reply with quote

Capito. Purtroppo nella chiavetta usb mi sono rimasti solo 800 mega di spazio, e non so se fargli compilare anche solo le dipendenze di chromium me lo possa fare andare in porto. la prima soluzione che hai proposto non l'ho invece ben capita. Altrimenti una terza soluzione ancora, sarebbe quella di usare la gentoo su hd esterno (dove ho 200 giga liberi) e rifargli ricompilare chromium con tutte le sue dipendenze con un comando che gli dica che deve trasformare tutto in binari installabili. ma ho paura che anche con questo sistema, i file generati siano troppo grandi per quello spazio irrisorio che ormai mi resta sulla chiavetta
Comunque provo a dare
emerge --usepkg chromium e vediamo cosa succede, in teoria avendo attivato la famosa tmpfs dovrebbe usare lo spazio della ram per compilare, no?
a proposito ecco il mio fstab:

Code:
# NOTE: If your BOOT partition is ReiserFS, add the notail option to opts.
/dev/BOOT      /boot      ext4      noauto,noatime   1 2
/dev/ROOT      /      ext4      noatime      0 1
/dev/SWAP      none      swap      sw              0 0
/dev/cdrom      /mnt/cdrom    auto      noauto,ro   0 0
/dev/fd0           /mnt/floppy   auto      noauto      0 0
tmpfs             /var/tmp/portage   tmpfs   size=4G,uid=portage,gid=portage mode=775,noatime   0 0


Niente da fare, la situazione sembra alquanto complicata, e non saprei come risolverla: Ed ho già dato il comando --autounmask write come suggerito e poi etc-update e opzione -5 ma dopo che riprovo ad emergere mi da questa situazione che non so davvero come portare avanti:

Code:
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/libxml2:2

  (dev-libs/libxml2-2.9.3:2/2::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/libxml2:=[icu] required by (www-client/chromium-51.0.2704.63:0/0::gentoo, ebuild scheduled for merge)
                       ^^^                                                                                                                           

  (dev-libs/libxml2-2.9.3:2/2::gentoo, installed) pulled in by
    dev-libs/libxml2:2[!icu?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] required by (dev-qt/qtwebkit-4.8.6-r1:4/4::gentoo, installed)
                       ^^^^^                                                                                                                                                                                                                                                                 


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


!!! The following binary packages have been ignored due to non matching USE:

    =www-client/chromium-51.0.2704.63 linguas_am linguas_ar linguas_bg linguas_bn linguas_ca linguas_cs linguas_da linguas_de linguas_el linguas_en_GB linguas_es linguas_es_419 linguas_et linguas_fa linguas_fi linguas_fil linguas_fr linguas_gu linguas_he linguas_hi linguas_hr linguas_hu linguas_id linguas_ja linguas_kn linguas_ko linguas_lt linguas_lv linguas_ml linguas_mr linguas_ms linguas_nb linguas_nl linguas_pl linguas_pt_BR linguas_pt_PT linguas_ro linguas_ru linguas_sk linguas_sl linguas_sr linguas_sv linguas_sw linguas_ta linguas_te linguas_th linguas_tr linguas_uk linguas_vi linguas_zh_CN linguas_zh_TW

NOTE: The --binpkg-respect-use=n option will prevent emerge
      from ignoring these binary packages if possible.
      Using --binpkg-respect-use=y will silence this warning.
GentooDesktop tano #
Back to top
View user's profile Send private message
Scall
n00b
n00b


Joined: 04 Sep 2014
Posts: 9

PostPosted: Fri Jun 03, 2016 7:18 pm    Post subject: Reply with quote

tano70 wrote:
in teoria avendo attivato la famosa tmpfs dovrebbe usare lo spazio della ram per compilare, no?

Esatto.
tano70 wrote:
a proposito ecco il mio fstab:

Sì, la riga relativa a portage è specificata correttamente (e puoi averne conferma con “mount | grep portage”, che dovrebbe mostrare “tmpfs on /var/tmp/portage”).


Quanto alll'emerge di Chromium, dovresti aggiungere la USE “icu” per libxml2 e qtwebkit in package.use:
Code:
dev-libs/libxml2 icu
dev-qt/qtwebkit icu


Quote:
!!! The following binary packages have been ignored due to non matching USE:

=www-client/chromium-51.0.2704.63 linguas_am linguas_ar linguas_bg linguas_bn linguas_ca linguas_cs linguas_da linguas_de linguas_el linguas_en_GB linguas_es linguas_es_419 linguas_et linguas_fa linguas_fi linguas_fil linguas_fr linguas_gu linguas_he linguas_hi linguas_hr linguas_hu linguas_id linguas_ja linguas_kn linguas_ko linguas_lt linguas_lv linguas_ml linguas_mr linguas_ms linguas_nb linguas_nl linguas_pl linguas_pt_BR linguas_pt_PT linguas_ro linguas_ru linguas_sk linguas_sl linguas_sr linguas_sv linguas_sw linguas_ta linguas_te linguas_th linguas_tr linguas_uk linguas_vi linguas_zh_CN linguas_zh_TW

Questo significa che il pacchetto binario è stato generato con supporto per tutte le lingue, invece adesso sul sistema hai abilitato solo l'italiano, infatti manca “linguas_it” (quelle che vedi lì sono le USE flag che attualmente non sono abilitate per il pacchetto). Per risolvere situazioni come questa rapidamente, puoi provare l'opzione “--binpkg-respect-use=n”, quindi:
Code:
emerge -a --binpkg-respect-use=n --usepkg www-client/chromium
Back to top
View user's profile Send private message
tano70
Tux's lil' helper
Tux's lil' helper


Joined: 26 Aug 2013
Posts: 112
Location: Torino

PostPosted: Fri Jun 03, 2016 8:47 pm    Post subject: Reply with quote

Ho fatto quello che mi hai suggerito, generato sotto package.use un file chiamato "chromium" con all'interno quelle due righe che mi hai postato riguardo la flag !icu". Poi ho dato il comando che mi hai dato, e questo il risultato:

Code:
GentooDesktop tano # emerge -a --binpkg-respect-use=n --usepkg www-client/chromium

 * IMPORTANT: 11 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


These are the packages that would be merged, in order:

Calculating dependencies /!!! /etc/portage/package.env references non-existent file: /etc/portage/env/notmpfs.conf
!!! /etc/portage/package.env references non-existent file: /etc/portage/env/notmpfs.conf
!!! /etc/portage/package.env references non-existent file: /etc/portage/env/notmpfs.conf
 \!!! /etc/portage/package.env references non-existent file: /etc/portage/env/notmpfs.conf
... done!
!!! /etc/portage/package.env references non-existent file: /etc/portage/env/notmpfs.conf
[ebuild  N     ] media-sound/gsm-1.0.13-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libevent-2.0.22  USE="ssl threads -debug -static-libs {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/dotconf-1.3
[ebuild   R    ] dev-libs/icu-57.1  ABI_X86="32*"
[ebuild  N     ] app-arch/snappy-1.1.2-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXinerama-1.1.3  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] dev-libs/libxml2-2.9.3  USE="icu*"
[ebuild  N     ] dev-python/pyxdg-0.25-r1  USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) -python3_3 (-python3_5)"
[ebuild  N     ] dev-libs/elfutils-0.163  USE="bzip2 nls utils zlib -lzma -static-libs {-test} (-threads)" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/jsoncpp-0.10.2-r1  USE="-doc {-test}"
[ebuild  N     ] sys-apps/pciutils-3.4.1  USE="kmod udev zlib -dns -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] virtual/opengl-7.0-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-sound/sox-14.4.2  USE="alsa encode flac mad ogg openmp png pulseaudio -amr -ao -debug -id3tag -ladspa -opus -oss -sndfile -static-libs -twolame -wavpack"
[ebuild  N     ] app-accessibility/espeak-1.47.11-r1  USE="pulseaudio -portaudio"
[ebuild  N     ] app-accessibility/speech-dispatcher-0.8.1  USE="alsa espeak pulseaudio -ao -flite -nas -python -static-libs" PYTHON_TARGETS="python3_4 -python3_3 (-python3_5)"
[binary  N     ] www-client/chromium-51.0.2704.63  USE="cups hangouts (pic) proprietary-codecs pulseaudio system-ffmpeg tcmalloc -custom-cflags (-gn) -gnome -gnome-keyring (-gtk3) -hidpi -hotwording -kerberos (-neon) (-selinux) {-test} -widevine" LINGUAS="am ar bg bn ca cs da de el en_GB es es_419 et fa fi fil fr gu he hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt_BR pt_PT ro ru sk sl sr sv sw ta te th tr uk vi zh_CN zh_TW"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/libxml2:2

  (dev-libs/libxml2-2.9.3:2/2::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/libxml2:2/2=[icu] required by (www-client/chromium-51.0.2704.63:0/0::gentoo, binary scheduled for merge)
                          ^^^                                                                                                                           

  (dev-libs/libxml2-2.9.3:2/2::gentoo, installed) pulled in by
    dev-libs/libxml2:2[!icu?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] required by (dev-qt/qtwebkit-4.8.6-r1:4/4::gentoo, installed)
                       ^^^^^                                                                                                                                                                                                                                                                 


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.

GentooDesktop tano #

Non è che per caso dovrei mettere dentro la cartella package.musk questa riga?? con questa identica sintassi?
Code:
<dev-libs/libxml2:2
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) Forum di discussione italiano All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum